Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dePlaneFrustum Class Reference

`#include <deCamera_priv.hpp>`

Inheritance diagram for dePlaneFrustum:

[legend]
Collaboration diagram for dePlaneFrustum:

[legend]
List of all members.

## Public Member Functions
| dePlaneFrustum ()
| ~dePlaneFrustum ()
long | Release ()
deBoolean | CreateFromPolygon (const deVec3d *PointArray, long NumPoints, const deVec3d &Position)
deBoolean | CopyFromFrustum (const IdePlaneFrustum *Ref)
deBoolean | Optimize ()
deBoolean | IsOrtho () const
void | SetOrtho (deBoolean Ortho)
u32 | GetNumPlanes () const
void | SetNumPlanes (u32 NumPlanes)
void | AddPlane (const dePlane &plane)
void | GetPlane (u32 index, dePlane &plane) const
void | SetPlane (u32 index, const dePlane &plane)
void | SetInVec (const deVec3d &InVec)
void | SetPosVec (const deVec3d &PosVec)
void | SetDists (const deDouble &Min, const deDouble &Max)
deDouble | GetMinDist () const
deDouble | GetMaxDist () const
deBoolean | TestSphereInside (const deBoundSphere &Sphere, const deVec3d &WorldPos, deBoolean &AllInside) const
deBoolean | TestAABBInside (const deAABB &BBox, const deVec3d &WorldPos, deBoolean &AllInside) const
## Private Attributes
deTArray< dePlane > | m_Planes
deVec3d | m_InVec
deVec3d | m_PosVec
deDouble | m_Min
deDouble | m_Max
deBoolean | m_Ortho

## Constructor & Destructor Documentation

dePlaneFrustum::dePlaneFrustum | ( |  | ) |

dePlaneFrustum::~dePlaneFrustum | ( |  | ) |

## Member Function Documentation

void dePlaneFrustum::AddPlane | ( | const dePlane & | plane | ) | `[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::CopyFromFrustum | ( | const IdePlaneFrustum * | Ref | ) | `[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::CreateFromPolygon | ( | const deVec3d * | PointArray,
|  | long | NumPoints,
|  | const deVec3d & | Position
| ) | `[virtual]`

| Implements IdePlaneFrustum.

deDouble dePlaneFrustum::GetMaxDist | ( |  | ) | const`[virtual]`

| Implements IdePlaneFrustum.

deDouble dePlaneFrustum::GetMinDist | ( |  | ) | const`[virtual]`

| Implements IdePlaneFrustum.

u32 dePlaneFrustum::GetNumPlanes | ( |  | ) | const`[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::GetPlane | ( | u32 | index,
|  | dePlane & | plane
| ) | const`[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::IsOrtho | ( |  | ) | const`[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::Optimize | ( |  | ) | `[virtual]`

| Implements IdePlaneFrustum.

long dePlaneFrustum::Release | ( |  | ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetDists | ( | const deDouble & | Min,
|  | const deDouble & | Max
| ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetInVec | ( | const deVec3d & | InVec | ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetNumPlanes | ( | u32 | NumPlanes | ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetOrtho | ( | deBoolean | Ortho | ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetPlane | ( | u32 | index,
|  | const dePlane & | plane
| ) | `[virtual]`

| Implements IdePlaneFrustum.

void dePlaneFrustum::SetPosVec | ( | const deVec3d & | PosVec | ) | `[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::TestAABBInside | ( | const deAABB & | BBox,
|  | const deVec3d & | WorldPos,
|  | deBoolean & | AllInside
| ) | const`[virtual]`

| Implements IdePlaneFrustum.

deBoolean dePlaneFrustum::TestSphereInside | ( | const deBoundSphere & | Sphere,
|  | const deVec3d & | WorldPos,
|  | deBoolean & | AllInside
| ) | const`[virtual]`

| Implements IdePlaneFrustum.

## Member Data Documentation

deVec3d dePlaneFrustum::m_InVec`[private]`

deDouble dePlaneFrustum::m_Max`[private]`

deDouble dePlaneFrustum::m_Min`[private]`

deBoolean dePlaneFrustum::m_Ortho`[private]`

deTArray<dePlane> dePlaneFrustum::m_Planes`[private]`

deVec3d dePlaneFrustum::m_PosVec`[private]`

The documentation for this class was generated from the following files:

- deCamera_priv.hpp
- deFrustum.cpp